﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Date_ddMMyyyy_Insert_DB_MVC.Models
{
    public class MedicineModel
    {
        [Display(Name = "Medicine Name:")]
        [Required(ErrorMessage = "Required")]
        public string Name { get; set; }

        [Display(Name = "Manufacturing Date:")]
        [Required(ErrorMessage = "Required")]
        [RegularExpression(@"(((0|1)[0-9]|2[0-9]|3[0-1])\/(0[1-9]|1[0-2])\/((19|20)\d\d))$", ErrorMessage = "Invalid date format.")]
        public string ManufacturingDate { get; set; }

        [Display(Name = "Expiry Date:")]
        [Required(ErrorMessage = "Required")]
        [RegularExpression(@"(((0|1)[0-9]|2[0-9]|3[0-1])\/(0[1-9]|1[0-2])\/((19|20)\d\d))$", ErrorMessage = "Invalid date format.")]
        public string ExpiryDate { get; set; }
    }
}